<?php

defined( '_VALID_MOS' ) or die( 'Restricted access' );

function com_install() {
	global $database, $mosConfig_absolute_path, $mosConfig_lang;
	$errors = "";

	$query = "CREATE TABLE `#__flippingbook_config` (
  `id` int(9) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `value` varchar(255) NOT NULL default '',
  `type` varchar(10) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `id` (`id`)
  ) TYPE=MyISAM";
	$database->setQuery( $query );
	if (!$database->query()) $errors .= '<br>Table: flippingbook_config <br>' . $database->getErrorMsg();
	
	$query = "INSERT INTO `#__flippingbook_config` (`name`, `value`, `type`) VALUES 
	('scaleContent', 'true', 'xml'),
	('firstPage', '0', 'xml'),
	('alwaysOpened', 'false', 'xml'),
	('flipOnClick', 'true', 'xml'),
	('moveSpeed', '2', 'xml'),
	('closeSpeed', '2', 'xml'),
	('showNavigation', '1', 'global'),
	('flipSound', 'images".'/'.'flippingbook'.'/'.'01.mp3'."', 'xml'),
	('loadOnDemand', 'true', 'xml'),
	('cachePages', 'true', 'xml'),
	('cacheSize', '9', 'xml'),
	('preloaderType', 'Round', 'xml'),
	('showDescription', '1', 'global'),
	('bgColor', '0xFFFFFF', 'global'),
	('preview_width', '120', 'global'),
	('preview_height', '120', 'global'),
	('showBookName', '120', 'global'),
	('bookListTitle', 'My books', 'global'),
	('language', 'english.php', 'global'),
	('style', 'silver.css', 'global'),
	('columns', '2', 'global')";
	$database->setQuery( $query );
	if (!$database->query()) $errors .= '<br><br>' . $database->getErrorMsg();
	
	$query = "CREATE TABLE `#__flippingbook_books` (`id` int(11) NOT NULL auto_increment, `name` varchar(255) NOT NULL, `description` text NOT NULL, `image` varchar(255) NOT NULL, `bg_image` varchar(255) NOT NULL, `flash_width` int(4) NOT NULL, `flash_height` int(4) NOT NULL, `book_width` int(4) NOT NULL, `book_height` int(4) NOT NULL, `pageBack` varchar(10) NOT NULL, `rotation` varchar(4) NOT NULL, `autoFlip` int(4) NOT NULL, `staticShadowsDepth` int(3) NOT NULL, `dynamicShadowsDepth` int(3) NOT NULL, `published` tinyint(1) NOT NULL, `ordering` int(6) NOT NULL, PRIMARY KEY  (`id`) ) TYPE=MyISAM;";
	$database->setQuery( $query );
	if (!$database->query()) $errors .= '<br>Table flippingbook_books<br>' . $database->getErrorMsg();
	
	$query = "INSERT INTO `#__flippingbook_books` VALUES 
	(1, 'Sample book', 'Sample description. The Page Manager helps add or remove pages while the Book Manager lets you create new books, edit their contents, change their size and design.', 'sample_preview.png', 'sample_bg.jpg', 600, 400, 550, 350, '0xFFFFFF', '0', 125, 1, 1, 1, 1);";
	$database->setQuery( $query );
	if (!$database->query()) $errors .= '<br><br>' . $database->getErrorMsg(); 
	
	$query = "CREATE TABLE `#__flippingbook_pages` (
  `id` int(11) NOT NULL auto_increment,
  `file` varchar(255) NOT NULL default '',
  `book_id` int(4) NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `published` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
  ) TYPE=MyISAM";
	$database->setQuery( $query );
	if (!$database->query()) $errors .= '<br>flippingbook_pages<br>' . $database->getErrorMsg();
	
	//ADD 2 SAMPLE PAGES
	$query = "INSERT INTO `#__flippingbook_pages` VALUES 
	(1, 'samplepage1.swf', 1, 1, 1);";
	$database->setQuery( $query );
	if (!$database->query()) $errors .= '<br><br>' . $database->getErrorMsg();
	
	$query = "INSERT INTO `#__flippingbook_pages` VALUES 
	(2, 'samplepage2.swf', 1, 2, 1);";
	$database->setQuery( $query );
	if (!$database->query()) $errors .= '<br><br>' . $database->getErrorMsg();
	
	// menu icon
	$database->setQuery("UPDATE #__components SET admin_menu_img='../administrator/components/com_flippingbook/images/fb_menu.png' WHERE admin_menu_link='option=com_flippingbook'");
	if ($database->query())

	chdir($mosConfig_absolute_path."/images/");
	@mkdir("flippingbook", 0755);
	@rename($mosConfig_absolute_path."/components/com_flippingbook/01.mp3", $mosConfig_absolute_path."/images/flippingbook/01.mp3");
	@rename($mosConfig_absolute_path."/components/com_flippingbook/samplepage1.swf", $mosConfig_absolute_path."/images/flippingbook/samplepage1.swf");
	@rename($mosConfig_absolute_path."/components/com_flippingbook/samplepage2.swf", $mosConfig_absolute_path."/images/flippingbook/samplepage2.swf");
	@rename($mosConfig_absolute_path."/components/com_flippingbook/sample_bg.jpg", $mosConfig_absolute_path."/images/flippingbook/sample_bg.jpg");
	@rename($mosConfig_absolute_path."/components/com_flippingbook/sample_preview.png", $mosConfig_absolute_path."/images/flippingbook/sample_preview.png");
	if ($errors == "") {
    return '<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td height="1" bgcolor="#CCCCCC" style="padding:0px;"></td>
  </tr>
  <tr>
    <td width="107" height="60" bgcolor="#EEEEEE"><img src="components/com_flippingbook/images/fb_logo.png" width="315" height="48" border="0" /></td>
  </tr>
  <tr>
    <td bgcolor="#EEEEEE">FLIPPING-BOOK JOOMLA ADDON<br />
	Pleasecheck<a href="http://page-flip-tools.com">www.page-flip-tools.com</a>forthelatestupdateandsupport.<br />
	&copy; 2007 FB Media solutions </td>
  </tr>
  <tr>
    <td height="1" bgcolor="#CCCCCC" style="padding:0px;"></td>
  </tr>
</table>';	
	}
	else {
		return "Some error happend:<br>" . $errors;
	}
}
?> 